Whether AI features are available on this server
GET
/api/v1/workspaces/{workspaceId}/ai/status
const url = 'https://api.crossmart.io/api/v1/workspaces/example/ai/status';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.crossmart.io/api/v1/workspaces/example/ai/statusParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
Responses
Section titled “Responses”Media typeapplication/json
object
configured
required
False until the server has an AI provider key
boolean
provider
required
string
model
required
string
Example
{ "provider": "anthropic", "model": "claude-sonnet-5-5"}